Get Instruments

Get available instruments from the block/rfqs service.

Request

POST /api/block/rfqs/get_instruments

Parameters

Parameter Type Required Description
currency string true The currency symbol or "any" for all. Valid values: BTC, ETH, USDC, USDT, EURR, any
kind string false Instrument kind, if not provided instruments of all kinds are considered. Valid values: future, option, spot, future_combo, option_combo
expired boolean false Set to true to show recently expired instruments instead of active ones

Request Example

{
  "rid": 10001,
  "method": "block/rfqs/get_instruments",
  "params": {
    "currency": "BTC",
    "kind": null,
    "expired": false
  }
}

Response

Name Type Description
results array Array of instruments
> baseCurrency string The currency the Instrument is exposed to. Valid values include BTC, ETH
> marginKind string The nature of how the contract is margined. Valid values include linear, reversed
> optionKind string The kind of Option. null if instrument is not an Option. Valid values include call, put, null
> strike string Option Instrument Strike Price. null if kind == FUTURE
> kind string The type of Instrument. Valid values include future and option
> expiration long Instrument expiration timestamp in unix milliseconds since the epoch. null if Instrument does not have an expiration
> instrumentName string The name of the Instrument per the underlying exchange's naming conventions

Response Example

{
  "rid": 10001,
  "result": {
    "results": [
      {
        "baseCurrency": "BTC",
        "marginKind": "reversed",
        "optionKind": "CALL",
        "strike": "116000.0",
        "kind": "option",
        "expiration": 1755158400000,
        "instrumentName": "BTC-14AUG25-116000-C"
      },
      {
        "baseCurrency": "PAXG",
        "marginKind": "linear",
        "kind": "spot",
        "expiration": 32503708800000,
        "instrumentName": "PAXG_BTC"
      }
    ]
  }
}

results matching ""

    No results matching ""